Method: projects.locations.consumerEnforcementActions.list

Lists ConsumerEnforcementActions under a parent location.

HTTP request

GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*}/consumerEnforcementActions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent project and location resource name. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Maximum results to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. If unspecified, the server will default to the maximum.

pageToken

string

Optional. A page token received from a previous consumerEnforcementActions.list response. Provide this to retrieve the subsequent page.

filter

string

Optional. Filter expression for querying enforcement actions.

orderBy

string

Optional. Sort specification for ordering list results.

Request body

The request body must be empty.

Response body

Response message for consumerEnforcementActions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "consumerEnforcementActions": [
    {
      object (ConsumerEnforcementAction)
    }
  ],
  "nextPageToken": string
}
Fields
consumerEnforcementActions[]

object (ConsumerEnforcementAction)

The list of ConsumerEnforcementActions.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.